/*******************************************************************************
 * Copyright(c) 2022 dongke All rights reserved. / Confidential
 * 类的信息：
 *		1.程序名称：
 *		2.员工资料-邀请员工
 * 编辑履历：
 *		作者				日期					版本				修改内容
 *		admin		   2024-2-12	   1.00		   	    
 *******************************************************************************/
const mixins = require('@/mixins/index.js')
const Constants = require('@/utils/Constants')

const app = getApp()
Page({
  mixins: [mixins],
  /**
   * 页面的初始数据
   */
  data: {
    cardList: ['main'],
    contentObj: {
      main: [ 
        { code: 'staffName', type: 'str', required: true, title: mixins.$t('staffName') },
        { code: 'staffPhone', type: 'phone', title: mixins.$t('staffPhone'), required: true },
        { code: 'orgId', name: 'orgName', type: 'drop', required: true, dropType: 'org' },
        { code: 'roleId', name: 'roleName', type: 'mutidrop', required: false, dropType: 'role' }, 
      ]
    },
    // 路由
    routeObjName: 'staff',
    oauthService: app.globalData['oauthService']

  },
  /**
   * @desc   : 处理数据-保存和查询后的逻辑
   * @author : 姜永辉
   * @date   : 2024/1/26 11:46
   */
  handleData() {
    wx.navigateBack({
      data: 1
    })
  },

  /**
  * @desc : 保存的參數設置
  * @date : 2024/2/1 15:49
  * @author : 姜永辉
  */
  setParams(params) {
    params.roleIds = (params.roleIds && params.roleIds.length > 0) ? params.roleIds.split(',') : []
    return params
  },

  /**
  * @desc : 保存数据服务
  * @date : 2024/2/1 15:49
  * @author : 姜永辉
  */
  saveData() {
    return this.excute(this.data.service, this.data.service.insertRequestStaff, this.data.params)
  },

 
  /**
   * @desc : 给表单赋值
   * @date : 2024/2/1 15:49
   * @author : 姜永辉
   */
  setValuesByEdit(data) {
    console.log("setValuesByEdit", data);
    data.staffPhone = data.userPhone
    data.staffName = data.userPhone
    data.flgCanLogin = true
    data.wxUserId = data.userId
    this.setData({
      formData: JSON.stringify(data)
    })
  },

  /**
  * @desc : 查询的參數設置
  * @date : 2024/2/1 15:49
  * @author : 姜永辉
  */
  setSearchParams(params) { 
    // openid
    params.userWxid =  this.data.formType
    return params
  },

  /**
   * @desc : 查询-根据openid
   * @date : 2024/2/1 15:49
   * @author : 姜永辉
   */
  getData(params) {
    return this.excute(this.data.oauthService, this.data.oauthService.wxByOpenId, params);
  },



  /**
  * 生命周期函数--监听页面加载
  */
  onLoad: function (options) {
    console.log("onLoad",options);
    
  },

  /**
    * 生命周期函数--监听页面显示
    */
  onShow: function () {
  },

})